Name:           remake
Version:        0.4
Release:        3%{?dist}
Summary:        Build system that bridges the gap between make and redo

License:        GPLv3+
URL:            https://github.com/silene/%{name}
Source0:        https://github.com/silene/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  doxygen

%description
Remake is a build system with features of both make and redo.  See the
documentation for details on usage and control file syntax.

%package doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for using and developing %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Fix a broken doxygen link
sed 's/#finalize_job/#server_loop/' remake.cpp > remake.cpp.new
touch -r remake.cpp remake.cpp.new
mv -f remake.cpp.new remake.cpp

%build
g++ $RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -o remake remake.cpp \
    $RPM_LD_FLAGS
doxygen

%install
# Install the binary
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 remake %{buildroot}%{_bindir}

# Install the doxygen documentation
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
cp -a doxydoc/html %{buildroot}%{_docdir}/%{name}-%{version}

%check
cd testsuite
./all.sh

%files
%doc README.md
%exclude  %{_docdir}/%{name}-%{version}/html
%{_bindir}/%{name}

%files doc
%doc %{_docdir}/%{name}-%{version}
%exclude %{_docdir}/%{name}-%{version}/README.md

%changelog
* Wed Apr 17 2013 Jerry James <loganjerry@gmail.com> - 0.4-3
- Use a tagged tarball instead of one derived from a git commit
- Split documentation out into a subpackage

* Tue Apr 16 2013 Jerry James <loganjerry@gmail.com> - 0.4-2
- Ship doxygen documentation

* Mon Apr  8 2013 Jerry James <loganjerry@gmail.com> - 0.4-1
- Initial RPM
